This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 189493 - [PATCH] off by one in pbs_sched
[PATCH] off by one in pbs_sched
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: torque (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Garrick Staples
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-20 10:58 EDT by Fabrice Bellet
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.1.0p0-0.10.200604211036cvs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 13:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2006-04-20 10:58:49 EDT
this patch fixes a trivial problem in pbs_sched when counting the number of
chars written to its lock file. This error prevents this daemon from starting up.


--- torque-2.1.0p0-snap.200604171430/src/scheduler.cc/pbs_sched.c.orig 
2006-04-06 23:56:37.000000000 +0200
+++ torque-2.1.0p0-snap.200604171430/src/scheduler.cc/pbs_sched.c      
2006-04-20 16:52:38.000000000 +0200
@@ -992,7 +992,7 @@

         (void)sprintf(log_buffer, "%ld\n", (long)pid);

-        if (write(lockfds, log_buffer, strlen(log_buffer)+1) != strlen(log_buffer))
+        if (write(lockfds, log_buffer, strlen(log_buffer)+1) !=
strlen(log_buffer)+1)
           {
           perror("writing to lockfile");
Comment 1 Garrick Staples 2006-04-20 12:49:32 EDT
That's impressive.  TORQUE has been in FE for 1 day!

I'll get this upstream and probably have a new package tomorrow.

Thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.